import 'package:flutter/widgets.dart';

/// A class of configuration [PageRoute]
class DipNavRoute {
  final String? key;
  final String path;
  final Map<String, dynamic>? queries;
  final Widget page;
  final Object? arguments;

  const DipNavRoute({
    this.key,
    required this.path,
    this.queries,
    required this.page,
    this.arguments,
  });

  Uri get uri => Uri(path: path, queryParameters: queries);
}
