part of 'dip_nav_router.dart';

/// A page that creates a material style [PageRoute].
///
/// {@macro flutter.material.materialRouteTransitionMixin}
class _DipNavResultablePagee extends MaterialPage<DipNavRoute> {
  final DipNavRoute route;

  _DipNavResultablePagee({
    required this.route,
    bool maintainState = true,
    bool fullscreenDialog = false,
  }) : super(
            child: route.page,
            maintainState: maintainState,
            fullscreenDialog: fullscreenDialog,
            key: ValueKey<String>(route.key ?? route.path.toString()),
            name: route.uri.toString(),
            arguments: route.arguments != null &&
                    route.queries != null &&
                    route.queries!.isNotEmpty
                ? {'arguments': route.arguments, 'queries': route.queries}
                : route.arguments ?? route.queries);
}
